5.2      Point Port

The Point button  in the Model tab allows creating Point Port. Under the Point drop-down button there are two options available:  and . After choosing  option the Create Point Port dialogue appears.



In the Name field the point port name, used for identifying the point, should be put. There are two types of Point Port, source and probe. After setting the Type to Probe, the Waveform part becomes not active.


In the Geometry tab the coordinates of the Point position in all three directions should be set.


Switching to Parameters tab invokes the dialogue as below:



In this tab, parameters such as exciting field component to which the port is connected or its resistance are set. The By value combo box allows setting infinite resistance (+INF) or setting automatic adjustment (Auto adjust).


Options available in Postprocessing frame, enable declaring if particular Point should take a part in S-Parameters and FD-Probing calculations. To disable either of those options it is necessary to uncheck S-Parameter and FD-Probing checkboxes, respectively. S-Parameters… and FD-Probing… buttons allow passing to the S-Parameters and FD-Probing post-processings dialogues, respectively, and configuring those post-processings.

The Excitation frame enables setting the excitation parameters like, Waveform, Frequency Range, Amplitude, and Delay. See Waveform chapter for more information.


It is advised to refer to Point source and Point probe for more details regarding point sources and probes.



Python code

The python code, which can be useful when creating project scripts, generated by Create Point Port dialogue for default parameters:


from FreeCAD import Base

QW_Modeller.addQWObject("QW_Modeller::PointPort","Point")

App.ActiveDocument.Point.Placement = Base.Placement(Base.Vector(0.00000,0.00000,0.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))

App.ActiveDocument.Point.Type = "Source"

Gui.ActiveDocument.Point.ShowText = True

Gui.ActiveDocument.Point.TextSize = 14

App.ActiveDocument.Point.Excitation = QW_Modeller.PointExcitation(QW_Modeller.DriveFunction(QW_Modeller.Waveform('pulse of spectrum f<f2',15.00000,3.00000),1.00000,0.00000,1.00000,0.00000),'Ez',50.00000,0)

App.ActiveDocument.Point.MultiPointExcitation = QW_Modeller.MultiPointPortExcitation(0,"0.1")

App.ActiveDocument.Point.Postprocessing = QW_Modeller.PortPostprocessing(1,1,2)

App.ActiveDocument.recompute()

Gui.SendMsgToActiveView("ViewFit")